Gets the ACL for a given mailbox

- « imap_get_quotaroot

- imap_getmailboxes »

- PHP Manual
- IMAP Functions
- Gets the ACL for a given mailbox

# imap_getacl

(PHP 5, PHP 7, PHP 8)

imap_getacl — Gets the ACL for a given mailbox

### Description

imap_getacl(IMAP\Connection `$imap`, string `$mailbox`): array|false

Gets the ACL for a given mailbox.

### Parameters

`imap`

  An IMAP\Connection instance.

`mailbox`

  The mailbox name, see imap_open() for more information

  Warning

  Passing untrusted data to this parameter is insecure, unless imap.enable_insecure_rsh is disabled.

### Return Values

Returns an associative array of "folder" => "acl" pairs, or `false` on failure.

### Changelog

Version | Description
--- | ---
8.1.0 | The `imap` parameter expects an IMAP\Connection instance now; previously, a valid `imap` resource was expected.

### Examples

Example #1 imap_getacl() example

    <?php

    print_r(imap_getacl($imap, 'user.joecool'));

    ?>

The above example will output something similar to:

    Array
    (
        [asubfolder] => lrswipcda
        [anothersubfolder] => lrswipcda
    )

### Notes

This function is currently only available to users of the c-client2000 or greater library.

### See Also

- imap_setacl() - Sets the ACL for a given mailbox